%global _empty_manifest_terminate_build 0
Name:		python-mypy
Version:	0.901
Release:	1
Summary:	Optional static typing for Python
License:	MIT and Python-2.0
URL:		https://github.com/python/mypy
Source0:	https://github.com/python/mypy/archive/refs/tags/v%{version}.tar.gz

Requires:	python3-typed-ast 
Requires:	python3-typing-extensions
Requires:	python3-mypy-extensions
Requires:	python3-psutil

%description
Add type annotations to your Python programs, and use mypy to type
check them.  Mypy is essentially a Python linter on steroids, and it
can catch many programming errors by analyzing your program, without
actually having to run it.  Mypy has a powerful type system with
features such as type inference, gradual typing, generics and union
types.

%package -n python3-mypy
Summary:	Optional static typing for Python
Provides:	python-mypy
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
BuildRequires:	python3-cffi
BuildRequires:	gcc
BuildRequires:  python3-pip
BuildRequires:  python3-pbr
# Needed to generate the man pages
BuildRequires:  help2man
%description -n python3-mypy
Add type annotations to your Python programs, and use mypy to type
check them.  Mypy is essentially a Python linter on steroids, and it
can catch many programming errors by analyzing your program, without
actually having to run it.  Mypy has a powerful type system with
features such as type inference, gradual typing, generics and union
types.

%package help
Summary:	Development documents and examples for mypy
Provides:	python3-mypy-doc
%description help
Add type annotations to your Python programs, and use mypy to type
check them.  Mypy is essentially a Python linter on steroids, and it
can catch many programming errors by analyzing your program, without
actually having to run it.  Mypy has a powerful type system with
features such as type inference, gradual typing, generics and union
types.

%prep
%autosetup -n mypy-%{version}

%build
%py3_build

%install
%py3_install
rm -vrf %{buildroot}%{python3_sitelib}/mypy/{test,typeshed/tests}
ln -s /usr/share/typeshed %{buildroot}%{python3_sitelib}/mypy/typeshed
 
# Generate man pages
mkdir -p %{buildroot}%{_mandir}/man1
PYTHONPATH=%{buildroot}%{python3_sitelib} \
    help2man --no-info --version-string 'mypy %{version}-dev' \
        --no-discard-stderr -o %{buildroot}%{_mandir}/man1/mypy.1 \
        %{buildroot}%{_bindir}/mypy
 
PYTHONPATH=%{buildroot}%{python3_sitelib} \
    help2man --no-info --version-string 'mypy stubgen %{version}-dev' \
        --no-discard-stderr -o %{buildroot}%{_mandir}/man1/stubgen.1 \
        %{buildroot}%{_bindir}/stubgen

%files -n python3-mypy
%{python3_sitelib}/mypy
%{python3_sitelib}/mypy-*.egg-info
%{python3_sitelib}/mypyc
%{_bindir}/mypy
%{_bindir}/mypyc
%{_bindir}/dmypy
%{_bindir}/stubgen
%{_bindir}/stubtest

%files help
%license LICENSE
%doc README.md
%{_mandir}/man1/mypy.1*
%{_mandir}/man1/stubgen.1*

%changelog
* Fri May 06 2022 xigaoxinyan <xigaoxinyan@h-partners.com> - 0.901-1
- Upgrade to 0.901

* Wed Jul 14 2021 huangtianhua <huangtianhua@huawei.com> -0.812-1
- Upgrade to 0.812 to support OpenStack-W

* Wed Aug 04 2021 chenyanpanHW <chenyanpan@huawei.com> - 0.800-2
- DESC: delete BuildRequires gdb

* Mon Feb 01 2021 yanglongkang <yanglongkang@huawei.com> - 0.800-1
- Package init
